Runtime

## org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide.internal.l10n
Class EditorMessages

    java.lang.Object
      org.eclipse.osgi.util.NLS
          org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide.internal.l10n.EditorMessages

    public final class EditorMessages

extends NLS

Helper class to get NLSed messages.

Field Summary
`static java.lang.String` `EditorWizardPage_DialogInternalErrorTitle`
`static java.lang.String` `EditorWizardPage_InvalidFilename`
`static java.lang.String` `FileCreator_TaskTitle`
`static java.lang.String` `FileDocumentProvider_createElementInfo`
`static java.lang.String` `FileDocumentProvider_error_out_of_sync`
`static java.lang.String` `FileDocumentProvider_handleElementContentChanged`
`static java.lang.String` `FileDocumentProvider_resetDocument`
`static java.lang.String` `FileDocumentProvider_resourceChanged`
`static java.lang.String` `FileDocumentProvider_task_saving`
`static java.lang.String` `FileSaveAs_DialogMessageText`
`static java.lang.String` `FileSaveAs_DialogTitle`
`static java.lang.String` `StorageDocumentProvider_createElementInfo`
`static java.lang.String` `StorageDocumentProvider_isModifiable`
`static java.lang.String` `StorageDocumentProvider_isReadOnly`
`static java.lang.String` `StorageDocumentProvider_updateCache`
`static java.lang.String` `WizardPage_DIAGRAM_CREATION_FAIL_EXC_`
`static java.lang.String` `WizardPage_Message_FileExists_ERROR_`

Method Summary

Methods inherited from class org.eclipse.osgi.util.NLS
`bind, bind, bind, initializeMessages`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FileDocumentProvider_createElementInfo

    public static java.lang.String FileDocumentProvider_createElementInfo

### FileDocumentProvider_error_out_of_sync

    public static java.lang.String FileDocumentProvider_error_out_of_sync

### FileDocumentProvider_task_saving

    public static java.lang.String FileDocumentProvider_task_saving

### FileDocumentProvider_resetDocument

    public static java.lang.String FileDocumentProvider_resetDocument

### FileDocumentProvider_resourceChanged

    public static java.lang.String FileDocumentProvider_resourceChanged

### FileDocumentProvider_handleElementContentChanged

    public static java.lang.String FileDocumentProvider_handleElementContentChanged

### StorageDocumentProvider_createElementInfo

    public static java.lang.String StorageDocumentProvider_createElementInfo

### StorageDocumentProvider_updateCache

    public static java.lang.String StorageDocumentProvider_updateCache

### StorageDocumentProvider_isReadOnly

    public static java.lang.String StorageDocumentProvider_isReadOnly

### StorageDocumentProvider_isModifiable

    public static java.lang.String StorageDocumentProvider_isModifiable

### WizardPage_DIAGRAM_CREATION_FAIL_EXC_

    public static java.lang.String WizardPage_DIAGRAM_CREATION_FAIL_EXC_

### WizardPage_Message_FileExists_ERROR_

    public static java.lang.String WizardPage_Message_FileExists_ERROR_

### FileCreator_TaskTitle

    public static java.lang.String FileCreator_TaskTitle

### EditorWizardPage_DialogInternalErrorTitle

    public static java.lang.String EditorWizardPage_DialogInternalErrorTitle

### EditorWizardPage_InvalidFilename

    public static java.lang.String EditorWizardPage_InvalidFilename

### FileSaveAs_DialogTitle

    public static java.lang.String FileSaveAs_DialogTitle

### FileSaveAs_DialogMessageText

    public static java.lang.String FileSaveAs_DialogMessageText

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.